| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
SoButtonEvent Class Reference
Event Classes

The SoButtonEvent class is the base class for all button events.The event classes which results from the user pushing buttons on some device (keyboard, mouse or spaceball) all inherit this class. The SoButtonEvent class contains methods for setting and getting the state of the button(s). More...

`#include <Inventor/events/SoButtonEvent.h>`

Inheritance diagram for SoButtonEvent:

## Public Types

enum | State { UP, DOWN, UNKNOWN }

## Public Member Functions

virtual SoType | getTypeId (void) const
| SoButtonEvent (void)
virtual | ~SoButtonEvent ()
void | setState (State state)
State | getState (void) const
Public Member Functions inherited from SoEvent
| SoEvent (void)
virtual | ~SoEvent ()
SbBool | isOfType (SoType type) const
void | setTime (const SbTime t)
SbTime | getTime (void) const
void | setPosition (const SbVec2s &p)
const SbVec2s & | getPosition (void) const
const SbVec2s | getPosition (const SbViewportRegion &vpRgn) const
const SbVec2f | getNormalizedPosition (const SbViewportRegion &vpRgn) const
void | setShiftDown (SbBool isDown)
SbBool | wasShiftDown (void) const
void | setCtrlDown (SbBool isDown)
SbBool | wasCtrlDown (void) const
void | setAltDown (SbBool isDown)
SbBool | wasAltDown (void) const

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void | initClass (void)
static SbBool | enumToString (State enumval, SbString &stringrep)
Static Public Member Functions inherited from SoEvent
static SoType | getClassTypeId (void)
static void | initClass (void)

## Detailed Description

The SoButtonEvent class is the base class for all button events.

The event classes which results from the user pushing buttons on some device (keyboard, mouse or spaceball) all inherit this class. The SoButtonEvent class contains methods for setting and getting the state of the button(s).

See Also
  SoEvent, SoKeyboardEvent, SoMouseButtonEvent, SoSpaceballButtonEvent
  SoEventCallback, SoHandleEventAction

## Member Enumeration Documentation

enum SoButtonEvent::State

This gives the actual state of the button.

Enumerator
UP | Button has been released.
DOWN | Button has been pressed down.
UNKNOWN | The state of the button is unknown.

## Constructor & Destructor Documentation

SoButtonEvent::SoButtonEvent | ( | void | ) |  |

Constructor.

SoButtonEvent::~SoButtonEvent | ( | ) |  |

virtual

Destructor.

## Member Function Documentation

SoType SoButtonEvent::getTypeId | ( | void | ) |  | const

virtual

Returns the actual type id of an instantiated object.

Reimplemented from SoEvent.

Reimplemented in SoKeyboardEvent, SoSpaceballButtonEvent, and SoMouseButtonEvent.

void SoButtonEvent::initClass | ( | void | ) |  |

static

Initialize the type information data.

void SoButtonEvent::setState | ( | SoButtonEvent::State | state) |  |

Set the state of the button which the user interacted with.

This method is used from the window specific device classes when translating events to the generic Coin library.

See Also
  getState()

SoButtonEvent::State SoButtonEvent::getState | ( | void | ) |  | const

Returns the state of the button which is the cause of the event, i.e. whether it was pushed down or released.

See Also
  wasShiftDown(), wasCtrlDown(), wasAltDown(), getPosition(), getTime()

SbBool SoButtonEvent::enumToString | ( | State | enumval,
|  | SbString & | stringrep
| ) |  |

static

Converts from an enum value of type SoButtonEvent::State to a string containing the enum symbol.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 3.0

The documentation for this class was generated from the following files:

- SoButtonEvent.h
- SoButtonEvent.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.